Docs
Bulk Create Resources
POST /resources/bulk
POST
/resources/bulkCreates a serialized fleet: one Asset resource per identifier, all on the same type and variant and sharing settlement and attributeValues. A required Inventory-active attribute (not Checkbox) cannot be left blank in attributeValues. For a single resource use Resources_CreateResource. Needs the resource inventory edit permission.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| resourceTypeId | uuid | Optional | |
| resourceVariantId | uuid | Optional | |
| name | string | Optional | |
| identifiers | string[] | Optional | |
| rateCardId | uuid | Optional | |
| settlement | string | Optional | |
| attributeValues | BulkCreateResourcesRequestAttributeValue[] | Optional |
BulkCreateResourcesRequestAttributeValue
| Field | Type | Description |
|---|---|---|
| resourceAttributeId | uuid | |
| value | string| null |